Subject: bug#14653: closed (Re: bug#14653: Test failure when building on Debian armel)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Jun 2016 06:41:02 +0000

Your bug report

#14653: Test failure when building on Debian armel

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14653: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14653
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14653: Test failure when building on Debian armel
From: Andy Wingo <[email-masked]>
To: Adam Baxter <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Tue, 21 Jun 2016 08:40:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Adam,

Thanks for the report and for following up, and sorry we dropped the
ball.  In the meantime there are newer libgc and Guile releases, and for
that reason I'm going to archive this report.  Please open a new one if
you have trouble with Guile 2.0.11 or 2.1.3.  Be sure to use an
up-to-date libgc as well.

Cheers,

Andy

On Mon 24 Jun 2013 13:23, Adam Baxter <[email-masked]> writes:

> Apologies for the long post, I thought it would be better to keep all
> the logs together.
>
> root@dream:/tmp# dpkg -l libgc1c2
> Desired=Unknown/Install/Remove/Purge/Hold
> |
> Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
> ||/ Name Version Architecture Description
> +++-=======================================-========================-========================-====================================================================================
> ii libgc1c2 1:7.1-9.1 armel conservative garbage collector for C and
> C++
> root@dream:/tmp# pkg-config bdw-gc --modversion
> 7.1
>
> root@dream:/media/files/src/guile-2.0-2.0.5+1# gdb
> libguile/.libs/guile/test-suite/standalone/core
> GNU gdb (GDB) 7.4.1-debian
> Copyright (C) 2012 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law. Type "show
> copying"
> and "show warranty" for details.
> This GDB was configured as "arm-linux-gnueabi".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> libguile/.libs/guile/test-suite/standalone/core: Not a directory.
>
> root@dream:/media/files/src/guile-2.0-2.0.5+1# gdb
> test-suite/standalone/core
> GNU gdb (GDB) 7.4.1-debian
> Copyright (C) 2012 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law. Type "show
> copying"
> and "show warranty" for details.
> This GDB was configured as "arm-linux-gnueabi".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> "/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone/core": not
> in executable format: File format not recognized
>
> root@dream:/media/files/src/guile-2.0-2.0.5+1# file
> test-suite/standalone/core
> test-suite/standalone/core: ELF 32-bit LSB core file ARM, version 1
> (SYSV), SVR4-style, from
> '/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone/.libs/lt-test-pthread-'
>
> Note the truncated filename.
> #0  0x40236c4c in GC_malloc () from /usr/lib/libgc.so.1
> No symbol table info available.
> #1  0x401a9eec in scm_cell (cdr=2788640, car=383) at ../libguile/inline.h:117
>         cell = 0x0
> #2  guilify_self_2 (parent=0x2b1cb8) at threads.c:610
>         _smobnum = <optimized out>
>         t = 0x2a8d20
> #3  0x401aae30 in scm_i_init_thread_for_guile (base=0x40a68dbc, parent=0x2b1cb8) at threads.c:851
> No locals.
> #4  0x401aae7c in with_guile_and_parent (base=0x40a68dbc, data=<optimized out>) at threads.c:895
>         res = <optimized out>
>         new_thread = <optimized out>
>         t = <optimized out>
>         args = 0x40a68dcc
>         __PRETTY_FUNCTION__ = "with_guile_and_parent"
> #5  0x40232900 in GC_call_with_stack_base () from /usr/lib/libgc.so.1
> No symbol table info available.
> #6  0x401ab060 in scm_i_with_guile_and_parent (parent=<optimized out>, data=<optimized out>, func=<optimized out>) at threads.c:945
>         args = {func = 0x8854 <do_something>, data = 0x0, parent = 0x2b1cb8}
> #7  scm_with_guile (func=<optimized out>, data=<optimized out>) at threads.c:951
> No locals.
> #8  0x00008844 in thread (arg=<optimized out>) at test-pthread-create.c:41
> No locals.
> #9  0x4005eb04 in start_thread (arg=<optimized out>) at pthread_create.c:306
>         pd = 0x40a69470
>         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1, -1, 0, 338, 1084658800, 1074182724, 0, 1084657580, 1084657128, 1074129616, 0 <repeats 54 times>}, mask_was_saved = 0}}, 
>           priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
>         not_first_call = <optimized out>
>         freesize = <optimized out>
>         __PRETTY_FUNCTION__ = "start_thread"
> #10 0x403cb65c in ?? () at ../ports/sysdeps/unix/sysv/linux/arm/nptl/../clone.S:113 from /lib/arm-linux-gnueabi/libc.so.6
> No locals.
> #11 0x403cb65c in ?? () at ../ports/sysdeps/unix/sysv/linux/arm/nptl/../clone.S:113 from /lib/arm-linux-gnueabi/libc.so.6
> No locals.
> Backtrace stopped: previous frame identical to this frame (corrupt stack?)
> quit
>
> Does that help at all?
>
> On 24 June 2013 18:09, Ludovic Courtès <[email-masked]> wrote:
>
>     Adam Baxter <[email-masked]> skribis:
>     
>     
>     >> What version of libgc (the BDW garbage collector) are you
>     using?
>     >>
>     >
>     > I'm not sure, how do I check?
>     

Subject: Test failure when building on Debian armel
From: Adam Baxter <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jun 2013 23:14:35 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I am trying to build a debian package from Debian's guile sources on a
Dreamplug (ARMel/armv5tel arch)

I am not sure what the following means but this is a 2-4 hour build process
on this machine so any help would be appreciated

make[6]: Nothing to be done for `test-import-order'.
make[6]: Nothing to be done for `test-command-line-encoding'.
make[6]: Nothing to be done for `test-asmobs'.
make[6]: Nothing to be done for `test-ffi'.
make[6]: `test-fast-slot-ref' is up to date.
make[6]: Nothing to be done for `test-mb-regexp'.
make[6]: `test-use-srfi' is up to date.
make[6]: Nothing to be done for `test-extensions'.
make[6]: Leaving directory
`/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone'
make  check-TESTS
make[6]: Entering directory
`/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone'
PASS: test-system-cmds
PASS: test-bad-identifiers
PASS: test-require-extension
PASS: test-guile-snarf
PASS: test-import-order
PASS: test-command-line-encoding
PASS: test-num2integral
PASS: test-round
PASS: test-asmobs
PASS: test-ffi
PASS: test-list
PASS: test-unwind
PASS: test-conversion
PASS: test-loose-ends
PASS: test-fast-slot-ref
PASS: test-mb-regexp
PASS: test-use-srfi
PASS: test-scm-c-read
PASS: test-scm-take-locale-symbol
PASS: test-scm-take-u8vector
PASS: test-scm-to-latin1-string
PASS: test-scm-values
PASS: test-extensions
/bin/bash: line 5: 13696 Segmentation fault      srcdir="." builddir="."
CHARSETALIASDIR="/media/files/src/guile-2.0-2.0.5+1/lib"
GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
FAIL: test-with-guile-module
PASS: test-scm-with-guile
/bin/bash: line 5: 13759 Segmentation fault      srcdir="." builddir="."
CHARSETALIASDIR="/media/files/src/guile-2.0-2.0.5+1/lib"
GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
FAIL: test-scm-spawn-thread
/bin/bash: line 5: 13792 Segmentation fault      srcdir="." builddir="."
CHARSETALIASDIR="/media/files/src/guile-2.0-2.0.5+1/lib"
GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
FAIL: test-pthread-create
SKIP: test-pthread-create-secondary
==================================
3 of 27 tests failed
(1 test was not run)
Please report to [email-masked]
==================================
make[6]: *** [check-TESTS] Error 1
make[6]: Leaving directory
`/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone'
make[5]: *** [check-am] Error 2
make[5]: Leaving directory
`/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone'
make[4]: *** [check] Error 2
make[4]: Leaving directory
`/media/files/src/guile-2.0-2.0.5+1/test-suite/standalone'
make[3]: *** [check-recursive] Error 1
make[3]: Leaving directory `/media/files/src/guile-2.0-2.0.5+1/test-suite'
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory `/media/files/src/guile-2.0-2.0.5+1'
make[1]: *** [check] Error 2
make[1]: Leaving directory `/media/files/src/guile-2.0-2.0.5+1'
dh_auto_test: make -j1 check returned exit code 2
make: *** [build] Error 29
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Thanks,
Adam Baxter